#ifndef __CFGLR_NVS_H__
#define __CFGLR_NVS_H__
#if ESP_PLATFORM
#include "nvs_flash.h"
#include "configulator.h"

void cfglr_backend_nvs_open(cfglr_backend_t *backend, cfglr_handle_t *handle);
void cfglr_backend_nvs_close(cfglr_backend_t *backend, cfglr_handle_t *handle);
uint16_t cfglr_backend_nvs_get(cfglr_backend_t *backend, cfglr_element_t *element, cfglr_handle_t *handle);
uint16_t cfglr_backend_nvs_set(cfglr_backend_t *backend, cfglr_element_t *element, cfglr_handle_t *handle);

#define CFGLR_BACKEND_NVS() CFGLR_BACKEND(&cfglr_backend_nvs_open, &cfglr_backend_nvs_close, &cfglr_backend_nvs_get, cfglr_backend_nvs_set)

#endif
#endif
