#include "configulator.h"

#define TAG "CFGLR_SIG_CB"

void cfglr_signaler_callback_init(cfglr_signaler_t *signaler, cfglr_element_t *element, cfglr_handle_t *handle) {
  CFGLR_LOGI(TAG, "init");
}

void cfglr_signaler_callback_dispatch(cfglr_signaler_t *signaler, cfglr_element_t *element, cfglr_signal_e sig) {
  CFGLR_LOGI(TAG, "dispatch");

  if(signaler->handle != NULL) {
    cfglr_callback_t callback = signaler->handle;
    callback(signaler, element, sig);
  }
}
